Unit tiib9r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IIB9R_p;

function tiib9r: String;

implementation

function tiib9r: String;
var
M,N,I,J :Integer;
R,X1,X2,YP1,YPM,Y1T,Y :Real;
X1A :Array [0..4] of Real;
X2A :Array [0..3] of Real;
YA :Array [0..19] of Real;
Y2A :Array [0..19] of Real;
YT :Array [0..3] of Real;
Y2T :Array [0..4] of Real;
YYT :Array [0..4] of Real;
U :Array [0..4] of Real;
label
_1,_2,_4;
begin
Result := '';  {   }
M := 5;
N := 4;
R := 0.0;
for I:=1 to M do
 begin
  X1A[I-1] := R;
_1:
  R := R+0.1;
 end;
R := 0.0;
for I:=1 to N do
 begin
  X2A[I-1] := R;
_2:
  R := R+0.1;
 end;
for I:=1 to M do
 begin
  for J:=1 to N do
   begin
    YA[(I-1)+(J-1)*5] := Sin(X1A[I-1])*Sin(X2A[J-1]);
_4:
    Y2A[(I-1)+(J-1)*5] := -YA[(I-1)+(J-1)*5];
   end;
 end;
X1 := 0.55;
X2 := 0.65;
YP1 := Cos(X1A[0])*Sin(X2);
YPM := Cos(X1A[M-1])*Sin(X2);
IIB9R(X1A,X2A,YA,Y2A,M,N,X1,X2,YP1,YPM,Y,
     YT,Y2T,YYT,U);
Y1T := Sin(X1)*Sin(X2);
Result := Result + Format(' %20.16f %20.16f ',[Y,Y1T]) + #$0D#$0A;
UtRes('tiib9r',Result);  {     tiib9r.res }
exit;
end;

end.
